#ifndef __MCAST_API_H__
#define __MCAST_API_H__

#define ATP_MCAST_SUBFILE_PACK_LEN          (1024)

/* ƵÿƵıĸʽ */
typedef struct tagATP_UPG_CHANNEL_INFO
{
    unsigned char               aucAddrType[4];
    unsigned char               aucChannelAddr[16];
    unsigned char               aucChannelPort[4];
    unsigned char               aucFileType[4];
    unsigned char               aucFileLen[4];
    unsigned char               aucSoftVersion[32];
} ATP_UPG_CHANNEL_INFO;

/* Ƶ鲥ͷϢ */
typedef struct tagATP_UPG_COMMON_HEADER
{
    unsigned char               aucPacketLen[4];        // ǰ鲥
    unsigned char               aucCrc[4];              // ǰ鲥CRC
    unsigned char               aucVersion[32];         // ܰ汾Ϣ
    unsigned char               aucProductInfo[32];     // ƷϢ
    unsigned char               aucChannelNum[4];       // ļ鲥Ƶĸ
    unsigned char               aucStatusUrl[32];       // ״̬URL
} ATP_UPG_COMMON_HEADER;

/* Ƶ鲥ͷϢ */
typedef struct tagATP_UPG_MULT_PACKET
{
    unsigned char               aucPacketLen[4];        // ǰ鲥ĳ
    unsigned char               aucCrc[4];              // ǰ鲥У
    unsigned char               aucSeqNum[4];           // ǰţ0ʼ
    unsigned char               aucImgLen[4];           // ļܳ
    unsigned char               aucPkgType[4];          // ǰļ
    char                aucVersion[32];         // 汾Ϣ
    char                aucProductInfo[32];     // ƷϢ
} ATP_UPG_MULT_PACKET;



#endif

